<?php
/* ###################################################################

Contentpapst wurde von der sandoba.de medien agentur (www.sandoba.de) aus Berlin entworfen und unterliegt dem Urheberrecht. Jedwede nderung des Codes auerhalb der Lizenzrechte ist nicht erlaubt. Anfragen bitte an "contact@sandoba.de".

Website: www.sandoba.de
 sandoba.de medien agentur, 2002-2004

#################################################################### */

$lang["xml_support"] = "XML-Untersttzung wird bentigt, wenn das XML-Modul von Contentpapst eingesetzt werden soll.";
$lang["db_support"] = "Achten Sie darauf, dass die Datenbank, welche Sie fr Contentpapst einsetzen wollen, funktionsfhig installiert ist.";
$lang["basedir_support"] = "Wird bentigt, um Dateien auerhalb des Contentpapst-Verzeichnisses bearbeiten zu knnen.";
$lang["safemode_support"] = "U.a. bentigt fr den Dateiupload und die Bearbeitung von Dateien.";
$lang["write_file"] = "Datei schreiben";
$lang["delete_file"] = "Datei lschen";
$lang["upload_file"] = "Datei hochladen";
$lang["jpg_support"] = "JPEG-Untersttzung";
$lang["png_support"] = "PNG-Untersttzung";

####################################################################

function show_result($mode) {

	GLOBAL $lang;

	$color_red = "#CE3232";
	$color_green = "#2DC729";
	$color_blue = "#295DC7";

	$width = "120";
	$version = str_replace(".", "", phpversion());
	$version = substr($version,0,3);

	$status_ok = "<span style=\"background-color: $color_green\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>";
	$status_error = "<span style=\"background-color: $color_red\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>";

	if ($mode == "1") {

		$modules = get_loaded_extensions();

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "MySQL: ";
		echo "</td><td>";

		if (in_array("mysql", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "Sessions: ";
		echo "</td><td>";

		if (in_array("session", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "XML: ";
		echo "</td><td>";

		if (in_array("xml", $modules)) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "Mail: ";
		echo "</td><td>";

		if (in_array("mail", get_extension_funcs("standard"))) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo $lang["write_file"].": ";
		echo "</td><td>";

		$fp = fopen("cp.test.tmp", "w");

		if ($fp) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		fclose($fp);

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo $lang["delete_file"].": ";
		echo "</td><td>";

		$delete_file = unlink("cp.test.tmp");

		if ($delete_file) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo $lang["upload_file"].": ";
		echo "</td><td>";

		if (get_cfg_var("file_uploads")) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

	} else {

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "PHP-Version (".phpversion()."): ";
		echo "</td><td>";

		if ($version > 405) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "GD-Library: ";
		echo "</td><td>";

		if (extension_loaded("gd")) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo $lang["jpg_support"].": ";
		echo "</td><td>";

		if (@imagetypes() AND IMG_JPG) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo $lang["png_support"].": ";
		echo "</td><td>";

		if (@imagetypes() AND IMG_PNG) {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "allow_url_fopen = On: ";
		echo "</td><td>";

		if (get_cfg_var("allow_url_fopen") OR ini_get("allow_url_fopen") == "on" OR ini_get("allow_url_fopen") == "1") {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "safe_mode = Off: ";
		echo "</td><td>";

		if (!ini_get("safe_mode") OR ini_get("safe_mode") == "Off") {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

		echo "<tr><td width=\"$width\" bgcolor=\"#F2F2F2\">";
		echo "open_basedir = Off: ";
		echo "</td><td>";

		if (!ini_get("open_basedir") OR ini_get("open_basedir") == "Off") {
			echo $status_ok;
		} else {
			echo $status_error;
		}

		echo "</td></tr>";

	}

}

####################################################################

error_reporting(0);

$color_red = "#CE3232";
$color_green = "#2DC729";
$color_blue = "#295DC7";

echo "<html>

<head>
<meta http-equiv=\"Content-Language\" content=\"de\"/>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset={cp:variable:charset}\"/>

<style type=\"text/css\">
<!--
body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #000000;
}

table {
	font-size: 12px;
}

a  {
	color:#000000;
	font-size: 12px;
	text-decoration: underline;
}
//-->
</style>

<title>sandoba.de medien agentur - Test fr Contentpapst, CP::Shop und Co.</title>
</head>

<body>";

echo "<center><table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">";

echo "<tr><td colspan=\"2\">";
echo "<strong>Test fr Contentpapst, CP::Shop und Co.</strong>";
echo "<hr noshade size=\"1\" color=\"#000000\"/>";
echo "</td></tr>";

echo "<tr><td valign=\"top\">";

echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">";
show_result(0);
echo "</table>";

echo "</td><td valign=\"top\">";

echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">";
show_result(1);
echo "</table>";

echo "</td></tr>";

echo "<tr><td colspan=\"2\" align=\"center\">";
echo "<hr noshade size=\"1\" color=\"#000000\"/>";
echo "<strong>Status:</strong>&nbsp;&nbsp;<span style=\"background-color: $color_green\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> OK&nbsp;&nbsp;<span style=\"background-color: $color_red\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> Error&nbsp;&nbsp;<span style=\"background-color: $color_blue\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> Not supported!";
echo "</td></tr>";

echo "</table><br />";

echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"304\">";

echo "<tr><td width=\"80\" valign=\"top\">";
echo "<strong>XML:</strong></td><td valign=\"top\">";
echo $lang["xml_support"];
echo "</td></tr>";

echo "<tr><td width=\"80\" valign=\"top\">";
echo "<strong>MySQL / PostGreSQL / ODBC:</strong></td><td valign=\"top\">";
echo $lang["db_support"];
echo "</td></tr>";

echo "<tr><td width=\"80\" valign=\"top\">";
echo "<strong>open_basedir:</strong></td><td valign=\"top\">";
echo $lang["basedir_support"];
echo "</td></tr>";

echo "<tr><td width=\"80\" valign=\"top\">";
echo "<strong>safe_mode:</strong></td><td valign=\"top\">";
echo $lang["safemode_support"];
echo "</td></tr>";

echo "</table><br />";

echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"304\">";
echo "<tr><td colspan=\"2\" align=\"center\"><hr noshade size=\"1\" color=\"#000000\"/>";
echo "sandoba.de medien agentur | <a href=\"http://www.sandoba.de\" target=\"_blank\">www.sandoba.de</a>";
echo "</td></tr>";
echo "</table>";

echo "</center>";

echo "</body></html>";
?>